-- ============================================================
-- Table: ESO_CONSUMER 
-- Descrição: Cria tabela para controle de processos do esocial
-- ============================================================

CREATE TABLE ESO_CONSUMER
(
    NRCONSUMER        NUMBER NOT NULL ,
    NRORG             NUMBER NOT NULL ,
    NRCALCULOFOLHA    NUMBER ,
    NRTOTENVIOS       NUMBER NOT NULL ,
    NRTOTPROCESS      NUMBER ,
    DTHRINICIO        DATE ,
    DTHRFIM           DATE ,
    IDSITUACAO        VARCHAR2 (10) NOT NULL ,
    IDERRO            VARCHAR2 (30) ,
    DSPARAMS          VARCHAR2 (1000) ,
    DSPIDPROCESSO     VARCHAR2 (1000) ,
    DTINCLUSAO        DATE NOT NULL ,
    DTULTATU          DATE ,
    CDOPERINCLUSAO    VARCHAR2 (12) NOT NULL ,
    CDOPERULTATU      VARCHAR2 (12) ,
    NRORGINCLUSAO     NUMBER NOT NULL ,
    NRORGULTATU       NUMBER
)
/

ALTER TABLE ESO_CONSUMER
    ADD CONSTRAINT ESO_CONSUMER_PK PRIMARY KEY ( NRCONSUMER, NRORG )
/

ALTER TABLE ESO_CADASTRO ADD NRLOTE NUMBER NULL
/

ALTER TABLE ESO_NAOPERIODICO ADD NRLOTE NUMBER NULL
/

ALTER TABLE ESO_PERIODICO ADD NRLOTE NUMBER NULL
/
