/**********************************************************************************************************************/
/**** PROJETO GRUPO CICOPAL 2022                                                                                     **/
/**** IMPLANTAO DOS DEPENDENTES                                                                                  **/
/**** SCRITP DE PREPARAO DA MIGRAO                                                                               **/
/**** ESSE SCRIPT GERA UMA TABELA AUXILIAR (TB_AUX_DEPENDENTES)                                                      **/
/**********************************************************************************************************************/

--------------------------------------------------------
-- CRIAO DA TABELA AUXILIAR DE DEPENDENTES
--------------------------------------------------------

create table TB_AUX_DEPENDENTES AS (

SELECT 
'01' AS "CODEMP",RB_FILIAL, RB_MAT, RB_COD, RB_NOME, RB_DTNASC, RB_TPDEP, RB_SEXO, RB_GRAUPAR, RB_TIPIR, RB_TIPSF, RB_LOCNASC, RB_CARTORI, RB_NREGCAR, RB_NUMLIVR, RB_NUMFOLH, RB_DTENTRA, RB_DTBAIXA, RB_CIC, RB_TPDEPAM, RB_TIPAMED, RB_CODAMED, RB_VBDESAM, RB_DTINIAM, RB_DTFIMAM, RB_TPDPODO, RB_TPASODO, RB_ASODONT, RB_VBDESAO, RB_DTINIAO, RB_DTFIMAO, RB_AUXCRE, RB_VLRCRE, RB_PLSAUDE, RB_NUMAT, D_E_L_E_T_, R_E_C_N_O_, R_E_C_D_E_L_, RB_INCT, RB_DTINIAC, RB_USERLGI, RB_USERLGA
FROM SIGAP12.SRB010
WHERE D_E_L_E_T_ <> '*'

UNION ALL

SELECT 
'06' AS "CODEMP",RB_FILIAL, RB_MAT, RB_COD, RB_NOME, RB_DTNASC, RB_TPDEP, RB_SEXO, RB_GRAUPAR, RB_TIPIR, RB_TIPSF, RB_LOCNASC, RB_CARTORI, RB_NREGCAR, RB_NUMLIVR, RB_NUMFOLH, RB_DTENTRA, RB_DTBAIXA, RB_CIC, RB_TPDEPAM, RB_TIPAMED, RB_CODAMED, RB_VBDESAM, RB_DTINIAM, RB_DTFIMAM, RB_TPDPODO, RB_TPASODO, RB_ASODONT, RB_VBDESAO, RB_DTINIAO, RB_DTFIMAO, RB_AUXCRE, RB_VLRCRE, RB_PLSAUDE, RB_NUMAT, D_E_L_E_T_, R_E_C_N_O_, R_E_C_D_E_L_, RB_INCT, RB_DTINIAC, RB_USERLGI, RB_USERLGA
FROM SIGAP12.SRB060
WHERE D_E_L_E_T_ <> '*'
);


--------------------------------------------------------
-- DEPENDENTES COM CPF NA TABELA DE FUNCIONARIOS
--------------------------------------------------------
SELECT TBDEP.RB_CIC, TBDEP.* FROM TB_AUX_DEPENDENTES TBDEP WHERE RB_CIC IN (SELECT RA_CIC FROM TB_AUX_FUNCIONARIOS);

SELECT TBFUN.RA_CIC,TBFUN.RA_ADMISSA, RA_DEMISSA, TBFUN.*
  FROM TB_AUX_FUNCIONARIOS TBFUN WHERE TBFUN.RA_CIC = 08550610143; 
  
  
  select * from sigap12.srb010 where rb_nome like 'RICARDO MANUEL MENDES DOS AFLITOS%' 
    select * from sigap12.srb060 where rb_nome like 'KAUANNY APARECIDA DUVIRGENS DE SOUSA%' 

 
 select 
    RA_FILIAL, RA_MAT, RB_FILIAL, RA_CIC, RA_ADMISSA, RA_NOME AS "Nome Colaborador", RB_NOME AS "Nome Dependente"
FROM 
	TB_AUX_DEPENDENTES DP
	LEFT JOIN TB_AUX_FUNCIONARIOS F 
        ON TRIM(DP.CODEMP) = TRIM(F.CODEMP) AND TRIM(F.RA_FILIAL) = TRIM(DP.RB_FILIAL) AND TRIM(F.RA_MAT) = TRIM(DP.RB_MAT)
WHERE RB_NOME like 'ERCULINO FERREIRA DE LIMA%' 

select * from sigap12.srb010 WHERE RB_NOME like 'ERCULINO FERREIRA DE LIMA%' 


SELECT *FROM SIGAP12.SRA010 WHERE RA_MAT = '000589' AND RA_FILIAL = '010401'
