SELECT

LGM.MATRICULA_LG AS "01 Matrcula",
	FN_RETORNA_EMPRESA(TB_AUX_FUNCIONARIOS.RA_FILIAL, TB_AUX_FUNCIONARIOS.CODEMP) AS "02 Empresa",
	TO_CHAR (TO_DATE (RFX_DATAI, 'YYYYMMDD'), 'YYYY/MM/DD') AS "03 Data da Ocorrncia",
	'' AS "04 Data (Publicao)",
	'' AS "05 Situao (Publicao)",
	CASE WHEN 
    NVL(RFX_DATAF,'') = '        ' THEN ''
     ELSE TO_CHAR (TO_DATE (RFX_DATAF, 'YYYYMMDD'), 'YYYY/MM/DD') END AS "06 Data fim",
	'' AS "07 Origem",
/* Lista de Estabilidades -COMPARAR COM NUVEM- */
CASE MOT_LOGIN
		WHEN 'S01' THEN '5' /*ACIDENTE DE TRABALHO*/
		WHEN 'S02' THEN '2' /*MANDATO SINDICAL*/
		WHEN 'S05' THEN '6' /*PRESTACAO DE SERVICO MILITAR*/
		WHEN 'S10' THEN '1' /*MEMBRO DO CONSELHO NACIONAL DA PREVIDENCIA SOCIAL (CNPS)*/
        WHEN 'S11' THEN '9' /*MEMBRO DE COMISSAO DE CONCILIACAO PREVIA*/
	END AS "08_Codigo (Tipo de estabilidade)",
    '' AS "09_N de dias",
	CASE WHEN 
    RFX_DATAF = '        ' THEN 'S' ELSE 'N' END AS "10_Permanente",
	'' AS "11 Observao" 
	

FROM TB_AUX_MOVIMENTACAO_ESTABILIDADE estab
LEFT JOIN TB_AUX_FUNCIONARIOS ON RA_FILIAL = estab.RFX_FILIAL AND RA_MAT = estab.RFX_MAT 
AND TB_AUX_FUNCIONARIOS.CODEMP = estab.CodEmp
LEFT JOIN LG_DEPARA_MATRICULA LGM
	ON LGM.FILIAL_PROTHEUS = TB_AUX_FUNCIONARIOS.RA_FILIAL AND LGM.MATRICULA_PROTHEUS = TB_AUX_FUNCIONARIOS.RA_MAT 
    AND LGM.EMPESA_PROTHEUS = TB_AUX_FUNCIONARIOS.CODEMP

INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS F ON estab.CODEMP = F.CODEMP
AND estab.RFX_FILIAL = F.RA_FILIAL AND estab.RFX_MAT = F.RA_MAT
   

