SELECT 

FUNC_ORIGEM.RA_ADMISSA "DATA_ADMISSAO",
FUNC_ORIGEM.RA_CIC "CPF",
RE_FILIALD FILIAL_ANTERIOR, 
EMPRESA_ORIGEM.CODIGO_EMPRESA_LG "EMPRESA_ANTERIOR_LG",
RE_MATD MAT_ANTERIOR, 
MAT_SUCESSAO.MATRICULA_LG "MATRICULA_ANTERIOR_LG",
FUNC_ORIGEM.RA_DEMISSA "DATA_DEMISSAO_ANTERIOR",
RE_FILIALP FILIAL_DESTINO,
EMPRESA_DESTINO.CODIGO_EMPRESA_LG "EMPRESA_DESTINO_PARA",
RE_MATP MAT_DESTINO, 
MAT_FUNC.MATRICULA_LG "MAT_DESTINO_PARA",
FUNC_DESTINO.RA_DEMISSA "DATA_DEMISSAO_DESTINO"



FROM TB_AUX_TRANSFERENCIA
LEFT JOIN TB_AUX_FUNCIONARIOS FUNC_ORIGEM ON FUNC_ORIGEM.RA_FILIAL = RE_FILIALD AND FUNC_ORIGEM.RA_MAT = RE_MATD
LEFT JOIN TB_AUX_FUNCIONARIOS FUNC_DESTINO ON FUNC_DESTINO.RA_FILIAL = RE_FILIALP AND FUNC_DESTINO.RA_MAT = RE_MATP
LEFT JOIN LG_DEPARA_EMPRESA EMPRESA_DESTINO ON TRIM(EMPRESA_DESTINO.M0_CODFIL) = TRIM(RE_FILIALP)
AND TRIM(EMPRESA_DESTINO.M0_CODIGO) = FUNC_DESTINO.CODEMP
LEFT JOIN LG_DEPARA_EMPRESA EMPRESA_ORIGEM ON TRIM(EMPRESA_ORIGEM.M0_CODFIL) = TRIM(RE_FILIALD)
AND TRIM(EMPRESA_ORIGEM.M0_CODIGO) = FUNC_ORIGEM.CODEMP
LEFT JOIN LG_DEPARA_MATRICULA MAT_SUCESSAO ON (TO_NUMBER(MAT_SUCESSAO.FILIAL_PROTHEUS) = 
TO_NUMBER(RE_FILIALD) AND TO_NUMBER(MAT_SUCESSAO.MATRICULA_PROTHEUS) 
= TO_NUMBER(RE_MATD))

LEFT JOIN LG_DEPARA_MATRICULA MAT_FUNC ON (TO_NUMBER(MAT_FUNC.FILIAL_PROTHEUS) = 
TO_NUMBER(RE_FILIALP) AND TO_NUMBER(MAT_FUNC.MATRICULA_PROTHEUS) 
= TO_NUMBER(RE_MATP))

WHERE RE_FILIALD <> RE_FILIALP
AND EMPRESA_ORIGEM.CODIGO_EMPRESA_LG <> EMPRESA_DESTINO.CODIGO_EMPRESA_LG
--AND FUNC_ORIGEM.RA_CIC = '03991845385'
ORDER BY 1 