/*
    Tabela de TB_AUX_FUNCIONARIOS_MIGRADOS que servir de DEPARA para colaboradores elegiveis de
    acordo com o tempo de migrao para histricos presente no escopo de migrao de dados 
    
	Tabelas: R034FUN, R042RCM, R038HVI, R042AVI

    
	DROP TABLE TB_AUX_FUNCIONARIOS_MIGRADOS
    SELECT * FROM TB_AUX_FUNCIONARIOS_MIGRADOS
*/
SELECT 	fun.numemp, 
		fun.tipcol, 
		fun.numcad,
		fun.nomfun,	
		RIGHT('00000000000' + CAST(fun.numcpf AS VARCHAR(11)),11) as numcpf ,
		ISNULL(CONVERT(VARCHAR(10), fun.datadm, 103),'') as 	datadm,
		ISNULL(REPLACE(CONVERT(VARCHAR(10), fun.datadm, 111), '/', ''),'') as 	datadm_txt,
		ISNULL(CONVERT(VARCHAR(10), rcm.datdem, 103),'') as		datdem,
		ISNULL(REPLACE(CONVERT(VARCHAR(10), rcm.datdem, 111), '/', ''),'') as 	datdem_txt,	
		ISNULL(CONVERT(VARCHAR(10), fun.datafa, 103),'') as 	datafa,
		ISNULL(REPLACE(CONVERT(VARCHAR(10), fun.datafa, 111), '/', ''),'') as 	datafa_txt,	
		fun.sitafa,
		rcm.avipre as avipre, 
		rcm.caudem as caudem
INTO TB_AUX_FUNCIONARIOS_MIGRADOS 
FROM 
   R034FUN FUN
   LEFT JOIN R042RCM rcm ON 
      fun.NUMEMP = rcm.NUMEMP AND
	  fun.TIPCOL = rcm.TIPCOL AND
	  fun.NUMCAD = rcm.NUMCAD
   LEFT JOIN R038HVI AVI ON 
      AVI.numemp = RCM.numemp AND
	  AVI.numcad = RCM.numcad AND
	  AVI.tipcol = RCM.tipcol
   LEFT JOIN R042AVI DTA ON 
      DTA.numemp = RCM.numemp AND
	  DTA.numcad = RCM.numcad AND
	  DTA.tipcol = RCM.tipcol
WHERE 
   ((FUN.TIPCOL = 2) or (FUN.TIPCOL = 1 and
   (fun.sitafa <> 7 or
   (fun.sitafa = 7 and ISNULL(REPLACE(CONVERT(VARCHAR(10), fun.datafa, 111), '/', ''),'') >= 20170101)))) --Demitido
   and fun.numemp in (1,2) -- Apenas HMC e IMC
ORDER BY 2,1,7
     

/**select * from r042cau

avipre
1- Trabalhado
2- Indenizado
3- Dispensa
**/

/*
select distinct fun.numemp, fun.tipcol, fun.numcad,fun.nomfun,fun.numcpf,fun.datadm,fun.datafa,fun.sitafa,datdemrcm.avipre, rcm.caudem
from 
   R034FUN FUN
   INNER JOIN R042RCM rcm ON 
      fun.NUMEMP = rcm.NUMEMP AND
	  fun.TIPCOL = rcm.TIPCOL AND
	  fun.NUMCAD = rcm.NUMCAD
   LEFT JOIN R038HVI AVI ON 
      AVI.numemp = RCM.numemp AND
	  AVI.numcad = RCM.numcad AND
	  AVI.tipcol = RCM.tipcol
   LEFT JOIN R042AVI DTA ON 
      DTA.numemp = RCM.numemp AND
	  DTA.numcad = RCM.numcad AND
	  DTA.tipcol = RCM.tipcol
where 
   FUN.TIPCOL = 1 and
   (fun.sitafa <> 7 or
   (fun.sitafa = 7 and fun.datafa >= '01/01/2016')) --Demitido

*/
/*

CASE
		
			WHEN fun.[R034FUN TIPCON] = 1  THEN	'101'		-- Empregado
			WHEN fun.[R034FUN TIPCON] = 2  THEN	'722'		-- Diretor
			WHEN fun.[R034FUN TIPCON] = 5  THEN	'901'		-- Estagirio
			WHEN fun.[R034FUN TIPCON] = 6  THEN	'103'		-- Aprendiz
			WHEN fun.[R034FUN TIPCON] = 7  THEN '101'		-- Prazo Determinado
	
			ELSE
				''
		END


 */    