

/*-------------------------------------------------------------------------------------+
| Atualiza sindicato inicial do colaborador
+-------------------------------------------------------------------------------------*/
select 
   '00010' as leiaute,
   ''      as PessoaID,
   SISTEMA_SENIOR.dbo.fnc_depara(his.numemp, 'EMPRESA'   , 'BIOLAB') AS "Empresa",
   his.numcad as "Matricula",
   148,
   his.codsin as "Codigo Sindicato Destino"
from 
   rh_islp.R038HCC his
   INNER JOIN rh_islp.R034FUN FUN ON 
      his.NUMEMP = FUN.NUMEMP AND
	  his.TIPCOL = FUN.TIPCOL AND
	  his.NUMCAD = FUN.NUMCAD
where 
   his.datalt = fun.datadm 
   and FUN.TIPCOL = 1

/*-------------------------------------------------------------------------------------+
| Gera Movimentaes
+-------------------------------------------------------------------------------------*/
USE ORIGEM_SIRIO_30_12_2021
select 
   'Ento' as "Ento",
   row_number() over (order by his.numemp, SISTEMA_SENIOR.dbo.fnc_depara(his.NUMCAD, 'MATRICULA', 'ISL'), convert(varchar, his.datalt, 103)) as ID,
   'NO' as Ignorar,
   convert(varchar, his.datalt, 103) as "Data Movimentao",
   his.numemp AS "Codigo da empresa",
   --'999' AS "Codigo da empresa",
   SISTEMA_SENIOR.dbo.fnc_depara(his.NUMCAD, 'MATRICULA', 'ISL') as "Matricula",
   11 as "Codigo do Motivo da Movimentao",
   'Alterao de Centro de Custos' as "Descricao",
   his.codccu as "Codigo CCusto Destino",
   fun.codccu
from 
   rh_islp.R038HCC his
   INNER JOIN rh_islp.R034FUN FUN ON 
      his.NUMEMP = FUN.NUMEMP AND
	  his.TIPCOL = FUN.TIPCOL AND
	  his.NUMCAD = FUN.NUMCAD
where 
   his.datalt > fun.datadm and
   --his.datalt < fun.datafa and 
   FUN.TIPCOL = 1 and
   (fun.sitafa <> 7 or
   (fun.sitafa = 7 and fun.datafa >= '01/01/2016')) --Demitido
   --AND SISTEMA_SENIOR.dbo.fnc_depara( his.NUMCAD, 'MATRICULA', 'ISL') NOT LIKE ('%DePara No Encontrado') 
   --AND SISTEMA_SENIOR.dbo.fnc_depara( hsa.NUMCAD, 'MATRICULA', 'ISL') > 6183
   --AND NOT EXISTS (select 1 from ORIGEM_SIRIO_09_12_2021.rh_islp.R038HCC x where x.numemp = his.numemp and x.numcad= his.numcad and x.datalt = his.datalt)
   AND his.NUMCAD IN (34002673,34002671,34002675,34002674,34002672)
order by 6, 4


select * from rh_islp.R038HCC where numcad = 800773







select 
   his.numemp AS "Codigo da empresa",
   his.numcad as "Matricula",
   replace(convert(varchar, his.datalt, 102), '.', '/') as "Data Movimentao",
   '' as sequencial,
   '' as 'Excluir Lote',
   '1000'  as "Tipo Movimentacao"
from 
   R038HCC his
   INNER JOIN R034FUN FUN ON 
      his.NUMEMP = FUN.NUMEMP AND
	  his.TIPCOL = FUN.TIPCOL AND
	  his.NUMCAD = FUN.NUMCAD
where 
   his.datalt > fun.datadm and
   his.datalt < fun.datafa
   and FUN.TIPCOL = 1 and
   (fun.sitafa <> 7 or
   (fun.sitafa = 7 and fun.datafa >= '01/01/2016')) --Demitido
order by his.numcad, his.datalt desc



