-- =================================================================
--   DATABASE NAME:  FOLHA                                     
--   CREATED ON:     20/06/2023 16:52
--   TAREFA:         429406 [HCM] - Criação de novos mnemônicos para serem utilizados pela rotina - Emissão de Documentos (Contratos/Termos)
-- =================================================================
--   TABLE: GPE_MNEMONICO                                        
-- =================================================================
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 224 , '[NRESTRUTTOMADOR]'      , 'Número da estrutura tomador'                 , null, 'getDadosEstruturaTomador', null, 'NRESTRUTURAM'      , null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 225 , '[CNPJTOMADOR]'          , 'CNPJ da estrutura tomador'                   , null, 'getDadosEstruturaTomador', null, 'CDCNPJESTRUT'      , null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 226 , '[CDCEIESTRUTTOMADOR]'   , 'CEI da estrutura tomador'                    , null, 'getDadosEstruturaTomador', null, 'CDCEIESTRUT'       , null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 227 , '[CDCAEPFESTRUTTOMADOR]' , 'CAEPF da estrutura tomador'                  , null, 'getDadosEstruturaTomador', null, 'CDCAEPFESTRUT'     , null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 228 , '[NOMEESTRUTTOMADOR]'    , 'Nome da estrutura tomador'                   , null, 'getDadosEstruturaTomador', null, 'NMESTRUTURAH'      , null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 229 , '[RAZAOSOCIALTOMADOR]'   , 'Razão Social da estrutura tomador'           , null, 'getDadosEstruturaTomador', null, 'NMRAZSOCESTRUT'    , null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 230 , '[NOMEFANTASIATOMADOR]'  , 'Nome fantasia da estrutura tomador'          , null, 'getDadosEstruturaTomador', null, 'NMFANTASIA'        , null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 231 , '[NOMEPAISENDTOMADOR]'   , 'Pais do endereço da estrutura tomador'       , null, 'getDadosEstruturaTomador', null, 'NMPAIS'            , null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 232 , '[UFENDTOMADOR]'         , 'Estado do endereço da estrutura tomador'     , null, 'getDadosEstruturaTomador', null, 'SGESTADO'          , null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 233 , '[NOMECIDADEENDTOMADOR]' , 'Município do endereço da estrutura tomador'  , null, 'getDadosEstruturaTomador', null, 'NMMUNICIPIO'       , null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 234 , '[BAIRROENDERECOTOMADOR]', 'Bairro do endereço da estrutura tomador'     , null, 'getDadosEstruturaTomador', null, 'NMBAIRROENDERECO'  , null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 235 , '[CEPENDERECOTOMADOR]'   , 'CEP do endereço da estrutura tomador'        , null, 'getDadosEstruturaTomador', null, 'NRCEPENDERECO'     , null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 236 , '[LOGRADOUROENDTOMADOR]' , 'Logradouro do endereço da estrutura tomador' , null, 'getDadosEstruturaTomador', null, 'CDLOGRADOURO'      , null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 237 , '[DSENDERECOTOMADOR]'    , 'Endereço da estrutura tomador'               , null, 'getDadosEstruturaTomador', null, 'DSENDERECO'        , null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 238 , '[NRENDERECOTOMADOR]'    , 'Número do endereço da estrutura tomador'     , null, 'getDadosEstruturaTomador', null, 'NRIMOVELENDERECO'  , null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 239 , '[COMPLEMENTOENDTOMADOR]', 'Complemento do endereço da estrutura tomador', null, 'getDadosEstruturaTomador', null, 'DSCOMPLEENDERECO'  , null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 240 , '[ANSTOMADOR]'           , 'Código ANS da estrutura tomador'             , null, 'getDadosEstruturaTomador', null, 'CDFEDERALESTRUT'   , null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 241 , '[VRFAPTOMADOR]'         , 'FAP da estrutura tomador'                    , null, 'getDadosEstruturaTomador', null, 'VRFAP'             , null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 242 , '[NMPROPRIEMPRTOMADOR]'  , 'Proprietário da estrutura tomador'           , null, 'getDadosEstruturaTomador', null, 'NMPROPRIEMPRLEGAL' , null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 243 , '[NMPARCRESPINFTOMADOR]' , 'Responsável Informal da estrutura tomador'   , null, 'getDadosEstruturaTomador', null, 'NMPARCRESPINFLEGAL', null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 244 , '[NMPARCENTISINTOMADOR]' , 'Responsável Legal da estrutura tomador'      , null, 'getDadosEstruturaTomador', null, 'NMPARCENTISINLEGAL', null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 245 , '[DSFPASTOMADOR]'        , 'FPAS da estrutura tomador'                   , null, 'getDadosEstruturaTomador', null, 'CDFPAS'            , null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 246 , '[DSNATUJURITOMADOR]'    , 'Natureza jurídica da estrutura tomador'      , null, 'getDadosEstruturaTomador', null, 'CDNATUJURI'        , null,  'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 247 , '[DSCNAETOMADOR]'        , 'CNAE da estrutura tomador'                   , null, 'getDadosEstruturaTomador', null, 'CDCNAE'            , null, 'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;
INSERT INTO GPE_MNEMONICO ( NRORG, NRMNEMONICO, CDMNEMONICO, DSMNEMONICO, DSVALORMNEMONICO, DSREPOSITORIO, DSENTIDADE, DSATRIBUTO, DSPARAMAUX, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU ) VALUES ( '0', 248 , '[DTPROJECAOAVISO]'      , 'Data de projeção do aviso'                   , null, 'getDadosGeraisVinculo'   , null, 'DTPROJECAOAVISO'   , null, 'S', SYSDATE, null, '1', '1', '1', '1' );
COMMIT;