/**********************************************************************************************************************/
/**** PROJETO GRUPO CICOPAL 2022                                                                                     **/
/**** IMPLANTAO DOS FUNCIONARIOS                                                                                **/
/**** SCRITP DE PREPARAO DA MIGRAO                                                                       **/
/**** ESSE SCRIPT GERA LAYOUT DA TABELA AUXILIAR (TB_AUX_FERIAS)                        **/
/**********************************************************************************************************************/

/*OBS.: De acordo com Anlise de faltas e dias concedidos FUNO FLOOR no campo  15_Faltas injustificadas resolve 
os casos de critica, 6,1 faltas por exemplo o cliente concedeu 25 dias de ferias, 5,7 o cliente concedeu 30 dias de ferias*/

--------------------------------------------------------
-- GERAO DO LAYOUT DE TB_AUX_FERIAS
--------------------------------------------------------
   
   
   SELECT
   --F.CODEMP, F.RA_FILIAL,F.RA_MAT,F.RA_NOMECMP,CASE WHEN TRIM(F.RA_ADMISSA) IS NULL THEN NULL ELSE TO_DATE(F.RA_ADMISSA,'yyyy/mm/dd') END AS "ADMISSAO",CASE WHEN TRIM(F.RA_DEMISSA) IS NULL THEN NULL ELSE TO_DATE(F.RA_DEMISSA,'yyyy/mm/dd') END AS "DEMISSAO",
   --FER.RH_MAT 
   --FN_RETORNA_MATRICULA_LG(FER.RH_FILIAL,FER.RH_MAT),
    LGM.MATRICULA_LG AS "01_Matrcula",
	-----------------------------------------------
    --SUBSTR(FER.RH_FILIAL, 3,2) 
    FN_RETORNA_EMPRESA(FER.RH_FILIAL, FER.CODEMP) AS "02_Cdigo da Empresa",
	-----------------------------------------------
	--SUBSTR(FER.RH_DATAINI,7,2)||'/'|| SUBSTR(FER.RH_DATAINI,5,2)||'/'|| SUBSTR(FER.RH_DATAINI,1,4) DATA,
    SUBSTR(FER.RH_DATAINI,1,4) ||'/'|| SUBSTR(FER.RH_DATAINI,5,2)||'/'|| SUBSTR(FER.RH_DATAINI,7,2)AS "03_Data da ocorrncia",
	-----------------------------------------------
	' ' AS "04_Data (Publicao)",
	-----------------------------------------------
	' ' AS "05_Situao (Publicao)",
	-----------------------------------------------
	--FER.RH_DATABAS,
    CASE 
        WHEN FER.RH_DATABAS < F.RA_ADMISSA 
        THEN SUBSTR(F.RA_ADMISSA,1,4) ||'/'|| SUBSTR(F.RA_ADMISSA,5,2)||'/'|| SUBSTR(F.RA_ADMISSA,7,2)
        ELSE SUBSTR(FER.RH_DATABAS,1,4) ||'/'|| SUBSTR(FER.RH_DATABAS,5,2)||'/'|| SUBSTR(FER.RH_DATABAS,7,2) 
    END AS "06_Data da ocorrncia (Perodo aquisitivo)",
	-----------------------------------------------
	CASE
           WHEN  INSTR(trim(FER.RH_DFERIAS),',')>0 and ( (
                    SELECT count(*) 
                    from TB_AUX_FERIAS FER2
                    WHERE 
                    FER2.CODEMP = FER.CODEMP AND
                    FER2.RH_FILIAL = FER.RH_FILIAL AND
                    FER2.RH_MAT = FER.RH_MAT AND
                    FER2.RH_DATABAS = FER.RH_DATABAS
                    )
                    -(
                    SELECT count(*) 
                    from TB_AUX_FERIAS FER2
                    WHERE 
                    FER2.CODEMP = FER.CODEMP AND
                    FER2.RH_FILIAL = FER.RH_FILIAL AND
                    FER2.RH_MAT = FER.RH_MAT AND
                    FER2.RH_DATABAS = FER.RH_DATABAS AND 
                    FER2.RH_DATAINI > FER.RH_DATAINI
                    )) >1 then ceil (FER.RH_DFERIAS) 
             WHEN  INSTR(trim(FER.RH_DFERIAS),',')>0 and ( (
                    SELECT count(*) 
                    from TB_AUX_FERIAS FER2
                    WHERE 
                    FER2.CODEMP = FER.CODEMP AND
                    FER2.RH_FILIAL = FER.RH_FILIAL AND
                    FER2.RH_MAT = FER.RH_MAT AND
                    FER2.RH_DATABAS = FER.RH_DATABAS
                    )
                    -(
                    SELECT count(*) 
                    from TB_AUX_FERIAS FER2
                    WHERE 
                    FER2.CODEMP = FER.CODEMP AND
                    FER2.RH_FILIAL = FER.RH_FILIAL AND
                    FER2.RH_MAT = FER.RH_MAT AND
                    FER2.RH_DATABAS = FER.RH_DATABAS AND 
                    FER2.RH_DATAINI > FER.RH_DATAINI
                    )) =1 then floor (FER.RH_DFERIAS) 
        else (FER.RH_DFERIAS) 
        
end AS "07_Dias de gozo",
	-----------------------------------------------
    --FER.RH_DATAINI+(FER.RH_DFERIAS-1),
    --FER.RH_DATAFIM,
    
    SUBSTR(TO_CHAR(((TO_DATE(FER.RH_DATAINI, 'YYYYMMDD')-1)+FER.RH_DFERIAS),'YYYYMMDD'),1,4) ||'/'|| 
    SUBSTR(TO_CHAR(((TO_DATE(FER.RH_DATAINI, 'YYYYMMDD')-1)+FER.RH_DFERIAS),'YYYYMMDD'),5,2)  ||'/'|| 
    SUBSTR(TO_CHAR(((TO_DATE(FER.RH_DATAINI, 'YYYYMMDD')-1)+FER.RH_DFERIAS),'YYYYMMDD'),7,2) 
    AS "08_Data fim",
    -----------------------------------------------
	SUBSTR(TO_CHAR(((TO_DATE(FER.RH_DATAINI, 'YYYYMMDD'))+FER.RH_DFERIAS),'YYYYMMDD'),1,4)||'/'|| 
    SUBSTR(TO_CHAR(((TO_DATE(FER.RH_DATAINI, 'YYYYMMDD'))+FER.RH_DFERIAS),'YYYYMMDD'),5,2)||'/'|| 
    SUBSTR(TO_CHAR(((TO_DATE(FER.RH_DATAINI, 'YYYYMMDD'))+FER.RH_DFERIAS),'YYYYMMDD'),7,2) 
    AS "09_Data de retorno",

	-----------------------------------------------
	--FER.RH_PERC13S,
    CASE
		WHEN TRIM(FER.RH_PERC13S) <> 0 THEN 'S'
		ELSE 'N'
	END AS "10_Metade do 13 salrio",
	-----------------------------------------------
	' ' AS "11_Dias a desconsiderar",
	-----------------------------------------------
	FER.RH_DABONPE AS "12_Dias de abono",
	-----------------------------------------------
--	CASE 
--		WHEN FER.RH_DFERIAS = 30 AND FER.RH_DABONPE = 0 THEN 'N'
--		WHEN FER.RH_DFERIAS < 30 AND FER.RH_DABONPE <> 0 AND (FER.RH_DFERIAS + FER.RH_DABONPE = 30) THEN 'N'
--        WHEN FER.RH_DFERIAS < 30 AND FER.RH_DABONPE <> 0 AND (FER.RH_DFERIAS + FER.RH_DABONPE = 30) THEN 'N'
--		ELSE 'S'
--   END

 CASE WHEN (SELECT count(*) 
                from TB_AUX_FERIAS FER2
                WHERE 
                FER2.CODEMP = FER.CODEMP AND
                FER2.RH_FILIAL = FER.RH_FILIAL AND
                FER2.RH_MAT = FER.RH_MAT AND
                FER2.RH_DATABAS = FER.RH_DATABAS) >1 THEN 'S'
            ELSE 'N'
	END AS "13_Parcelamento de frias",
      
      (
	SELECT count(*) 
	from TB_AUX_FERIAS FER2
	WHERE 
    FER2.CODEMP = FER.CODEMP AND
    FER2.RH_FILIAL = FER.RH_FILIAL AND
    FER2.RH_MAT = FER.RH_MAT AND
    FER2.RH_DATABAS = FER.RH_DATABAS
	)
	-(
	SELECT count(*) 
	from TB_AUX_FERIAS FER2
	WHERE 
    FER2.CODEMP = FER.CODEMP AND
    FER2.RH_FILIAL = FER.RH_FILIAL AND
    FER2.RH_MAT = FER.RH_MAT AND
    FER2.RH_DATABAS = FER.RH_DATABAS AND 
    FER2.RH_DATAINI > FER.RH_DATAINI
	) PARCELA,
    

	-----------------------------------------------
	CASE 
        WHEN floor(FER.RH_DFALTAS)>0 THEN floor(FER.RH_DFALTAS)
        ELSE 0
    END AS "15_Faltas injustificadas",  /*De acordo com Anlise de faltas e dias concedidos floor resolve os casos de critica, 6,1 faltas por exemplo o cliente deu 25 dias de ferias, 5,7 o cliente concedeu 30 dias de ferias*/
	-----------------------------------------------
	'S' AS "16_Permitir data de retorno nos finais de semana",
	-----------------------------------------------
	'S' AS "17_Permitir data de retorno em feriados",
	-----------------------------------------------
	SUBSTR(FER.RH_DTRECIB,1,4) ||'/'|| SUBSTR(FER.RH_DTRECIB,5,2)||'/'|| SUBSTR(FER.RH_DTRECIB,7,2) AS "18_Data de pagamento",
	-----------------------------------------------
	CASE
		WHEN (FER.RH_TIPCAL <> 'C') AND (FER.RH_DABONPE > 0) AND (FER.RH_PERC13S <> 0) THEN 14  -- N + CAB + C13     
		WHEN (FER.RH_TIPCAL <> 'C') AND (FER.RH_DABONPE = 0) AND (FER.RH_PERC13S <> 0) THEN 12 -- N + SAB + C13    
		WHEN (FER.RH_TIPCAL <> 'C') AND (FER.RH_DABONPE = 0) AND (FER.RH_PERC13S = 0)  THEN 11 -- N + SAB + S13     
		WHEN (FER.RH_TIPCAL <> 'C') AND (FER.RH_DABONPE > 0) AND (FER.RH_PERC13S = 0)  THEN 13 -- N + CAB + S13    
		WHEN (FER.RH_TIPCAL = 'C') AND (FER.RH_DABONPE > 0) AND (FER.RH_PERC13S <> 0)  THEN 18 -- C + CAB + C13   
		WHEN (FER.RH_TIPCAL = 'C') AND (FER.RH_DABONPE = 0) AND (FER.RH_PERC13S <> 0)  THEN 16 -- C + SAB + C13   
		WHEN (FER.RH_TIPCAL = 'C') AND (FER.RH_DABONPE = 0) AND (FER.RH_PERC13S = 0)   THEN 15 -- C + SAB + S13    
		WHEN (FER.RH_TIPCAL = 'C') AND (FER.RH_DABONPE > 0) AND (FER.RH_PERC13S = 0)   THEN 17 -- C + CAB + S13   
	END AS "19_Cdigo (Nova situao)",    
    -----------------------------------------------
    
	' ' AS "20_Observaes",
	-----------------------------------------------
	--FER.RH_DATAINI,
    CASE 
		WHEN (SELECT
				MAX(rr.RH_DATAINI)
			FROM 
				TB_AUX_FERIAS rr 
			WHERE
				rr.RH_MAT = FER.RH_MAT
				AND rr.CodEmp = FER.CodEmp
				AND rr.RH_FILIAL = FER.RH_FILIAL
				AND	TRIM(rr.RH_DATAINI) IS NOT NULL
				AND rr.RH_DATAINI <> FER.RH_DATAINI
				AND SUBSTR(rr.RH_DATAINI,5,2)= SUBSTR(FER.RH_DATAINI,5,2)
                AND SUBSTR(rr.RH_DATAINI,1,4)= SUBSTR(FER.RH_DATAINI,1,4)
				) < FER.RH_DATAINI THEN 3 -- 2 Ocorrncia ms 
		ELSE 2 -- 1 Ocorrncia ms 
	END AS "21_Cdigo (Folha de Pagamento)",


    
	-----------------------------------------------
	' ' AS "22_Valores calculados",
	-----------------------------------------------
	CASE LTRIM(RTRIM(FER.RH_TIPCAL))
		WHEN 'N' THEN 0 -- Normal   
		WHEN 'P' THEN 0 -- Normal   
		WHEN 'C' THEN 1 -- Coletiva 
		ELSE 0 -- Normal 
	END AS "23_Tipo de frias",
	-----------------------------------------------
	' ' AS "24_Art. 139 e 140 CLT  Conceder to",
	-----------------------------------------------
	' ' AS "25_Art. 139 CLT - Quando a diferen",
	-----------------------------------------------
	' ' AS "26_Antecipao de frias para  cola",
	-----------------------------------------------
	'S' AS "27_Ajustar os perodos aquisitivos",
	-----------------------------------------------
	' ' AS "28_Indica se  para gerar ocorrnci",
	-----------------------------------------------
	' ' AS "29_Data incio da estabilidade",
	-----------------------------------------------
	--FER.RH_DIALREM 
    '' AS "30_Dias de Licena Remunerada",
	-----------------------------------------------    
    'S' AS "Antecipao de frias para colaboradores com menos de 1 ano de empresa",
	-----------------------------------------------   
   '' AS "32 Considerar a escala na data de retorno"

FROM
	TB_AUX_FERIAS FER
    INNER JOIN TB_AUX_FUNCIONARIOS F ON F.CODEMP = FER.CodEmp AND F.RA_MAT = FER.RH_MAT AND F.RA_FILIAL = FER.RH_FILIAL

inner JOIN LG_DEPARA_MATRICULA LGM
	ON (LGM.FILIAL_PROTHEUS = FER.RH_FILIAL AND LGM.MATRICULA_PROTHEUS = FER.RH_MAT 
    AND LGM.EMPESA_PROTHEUS = FER.CODEMP)

WHERE 
TRIM(FER.RH_DATAINI) IS NOT NULL
--AND  FN_RETORNA_EMPRESA(FER.RH_FILIAL, FER.CODEMP)||'-'||LGM.MATRICULA_LG||'-'|| SUBSTR(FER.RH_DATAINI,1,4) ||'/'|| SUBSTR(FER.RH_DATAINI,5,2)||'/'|| SUBSTR(FER.RH_DATAINI,7,2)
--IN
--(
--'1-10-2021/11/03','1-10-2020/04/27','1-10-2020/04/06','1-10-2019/12/26','1-10-2019/11/04','1-10-2018/09/03','1-10-2017/12/11','1-32-2022/03/01','1-32-2021/05/25','1-32-2020/04/06','1-32-2019/12/02','1-32-2019/07/01','1-32-2018/12/03','1-32-2018/10/01',
--'1-152-2022/01/03','1-152-2021/01/04','1-152-2020/11/03','1-152-2019/12/26','1-152-2019/04/01','1-152-2019/01/02','1-152-2017/12/11','1-188-2021/08/02','1-188-2020/04/22','1-188-2019/12/26','1-188-2019/06/03','1-188-2018/08/01','1-205-2021/08/02',
--'1-205-2020/12/21','1-205-2019/12/26','1-205-2019/07/01','1-205-2019/01/02','1-205-2018/07/02','1-273-2021/12/08','1-273-2020/12/21','1-273-2020/02/03','1-273-2019/12/26','1-273-2018/12/03','1-273-2017/10/02','1-436-2021/11/03','1-436-2020/12/21',
--'1-436-2020/04/01','1-436-2019/12/26','1-436-2019/06/03','1-436-2019/01/02','1-436-2018/04/02','1-475-2022/04/11','1-475-2021/12/23','1-475-2021/05/03','1-475-2020/12/21','1-475-2020/09/23','1-475-2020/04/01','1-475-2019/12/26','1-475-2019/05/06','1-475-2018/05/02','1-1038-2021/03/03',
--'1-1038-2020/12/21','1-1038-2020/03/02','1-1038-2019/12/26','1-1038-2019/02/04','1-1175-2020/10/13','1-1175-2019/12/26','1-1175-2019/06/03','1-1175-2019/01/02','1-1345-2020/05/04','1-1345-2020/04/13','1-1345-2019/12/26','1-1345-2019/10/01','1-1653-2022/04/11',
--'1-1653-2021/12/29','1-1653-2020/12/01','1-1748-2020/12/21','1-1771-2022/06/02','1-1771-2020/12/01','1-2060-2022/02/01','1-2138-2022/03/01','2-2-2022/02/01','2-2-2020/04/06','2-2-2020/02/03','2-2-2019/02/04','2-2-2018/04/02','2-125-2022/04/04','2-125-2021/04/05','2-125-2020/09/01',
--'2-125-2019/09/02','2-125-2018/09/03','2-221-2021/10/04','2-221-2020/04/06','2-221-2020/03/02','2-221-2019/01/02','2-221-2017/10/02','2-284-2022/05/02','2-284-2021/01/04','2-284-2020/01/06','2-284-2018/12/03','2-297-2022/06/01','2-297-2021/11/03','2-297-2020/08/03','2-297-2019/04/01',
--'2-324-2022/01/03','2-324-2020/04/07','2-324-2019/11/04','2-458-2021/12/02','2-458-2020/04/13','3-29-2020/12/21','3-29-2020/04/06','3-29-2019/11/04','3-29-2018/11/05','3-29-2017/11/01','3-41-2021/07/05','3-41-2020/04/21','3-41-2020/04/01','3-41-2019/12/26','3-41-2019/10/01','3-41-2018/08/01',
--'3-45-2021/12/01','3-45-2020/04/01','3-45-2019/12/19','3-45-2019/09/02','3-45-2018/06/04','3-63-2020/04/27','3-63-2020/04/06','3-63-2019/12/26','3-63-2019/10/01','3-63-2018/10/01','3-86-2020/04/27','3-86-2020/04/06','3-86-2019/12/26','3-86-2019/09/02','3-122-2022/04/18',
--'3-122-2021/11/03','3-122-2020/12/21','3-122-2020/04/09','3-122-2020/04/01','3-122-2019/12/19','3-123-2020/12/21','3-123-2020/04/14','3-123-2020/04/06','3-123-2019/12/19','3-228-2020/12/21','3-228-2020/04/14','3-228-2019/12/19','3-237-2020/12/21','3-237-2020/04/07','3-237-2019/12/19',
--'3-241-2021/03/29','3-241-2020/04/01','3-290-2020/12/21','3-290-2020/04/09','3-290-2019/12/26','3-308-2022/05/02','3-308-2021/07/05','3-308-2020/04/16','3-308-2019/12/26','3-329-2022/05/10','3-329-2020/10/01','3-338-2021/12/06','3-338-2020/12/21','3-338-2020/04/01','3-341-2020/12/21','3-341-2020/04/06',
--'1-99-2022/06/02','1-99-2021/06/07','1-99-2020/04/13','1-99-2020/04/01','1-99-2019/12/26','1-99-2019/10/01','1-99-2018/06/04','1-222-2022/05/16','1-222-2021/12/23','1-222-2021/05/03','1-222-2020/05/18','1-222-2018/03/01','1-281-2022/02/01','1-281-2020/10/01','1-281-2019/12/02','1-281-2018/08/30',
--'1-380-2017/10/02','1-418-2019/12/26','1-418-2019/03/06','1-967-2019/12/02','2-42-2020/04/22','2-42-2020/02/03','2-150-2022/01/03','2-150-2021/01/20','2-150-2020/01/06','2-150-2019/06/10','2-150-2017/10/02',
--
----
----
--'1-226-2021/06/07','1-226-2021/12/23','1-226-2022/03/01','1-246-2019/12/02','1-246-2019/12/26','1-246-2020/12/01','1-246-2021/12/01','1-293-2021/09/01','1-303-2020/10/01','1-326-2020/05/04','1-326-2020/12/21','1-326-2021/07/15','1-326-2021/12/23','1-377-2022/02/01','1-416-2020/04/01',
--'1-416-2020/12/21','1-416-2021/11/03','1-426-2020/04/06','1-426-2020/12/01','1-426-2021/08/02','1-429-2019/05/06','1-429-2019/12/26','1-445-2018/05/02','1-445-2019/05/06','1-502-2020/03/16','1-502-2020/12/01','1-502-2021/12/01','1-527-2021/07/01','1-527-2021/12/23','1-527-2022/02/01',
--'1-531-2018/01/02','1-531-2018/10/01','1-531-2019/12/02','1-531-2021/05/03','1-531-2021/12/23','1-531-2022/04/04','1-533-2019/03/06','1-533-2019/12/26','1-533-2021/01/04','1-533-2021/10/26','1-534-2021/10/04','1-538-2021/12/01','1-539-2019/12/02','1-539-2019/12/26','1-539-2020/04/16',
--'1-577-2019/02/04','1-577-2020/01/02','1-577-2021/01/04','1-587-2019/09/02','1-614-2019/07/15','1-614-2020/11/03','1-614-2021/09/01','1-614-2022/06/02','1-621-2019/08/05','1-621-2019/12/26','1-694-2022/02/01','1-697-2018/06/04','1-697-2019/05/06','1-697-2019/12/26','1-702-2022/06/02',
--'1-749-2019/10/01','1-780-2019/10/01','1-780-2020/11/03','1-780-2021/08/02','1-792-2019/04/04','1-792-2019/12/26','1-792-2020/04/01','1-792-2020/11/03','1-792-2021/11/03','1-794-2018/09/03','1-794-2019/12/26','1-794-2020/02/03','1-794-2020/12/21','1-794-2021/12/23','1-839-2018/12/03',
--'1-848-2020/04/06','1-848-2021/11/03','1-849-2019/12/02','1-849-2019/12/26','1-849-2020/12/21','1-908-2019/03/06','1-908-2019/12/26','1-908-2021/05/03','1-908-2021/12/23','1-1038-2022/03/01','1-1041-2019/12/26','1-1041-2020/07/20','1-1083-2020/11/03','1-1083-2021/06/07','1-1083-2022/06/02',
--'1-1094-2020/04/01','1-1195-2020/10/05','1-1222-2021/09/01','1-1279-2019/10/01','1-1279-2021/01/04','1-1279-2021/08/02','1-1310-2019/10/01','1-1319-2020/08/20','1-1319-2020/12/21','1-1364-2019/11/04','1-1384-2021/03/01','1-1384-2022/06/01','1-1399-2019/12/26','1-1519-2021/03/16',
--'1-1519-2021/12/23','1-1519-2022/05/02','1-1524-2020/03/02','1-1524-2020/12/21','1-1525-2020/03/02','1-1525-2020/12/21','1-1560-2020/04/01','1-1566-2020/04/01','1-1573-2020/04/01','1-1576-2020/04/01','1-1576-2021/10/06','1-1577-2020/09/01','1-1580-2020/04/01','1-1582-2020/04/06',
--'1-1583-2020/04/06','1-1584-2020/04/16','1-1585-2020/04/01','1-1587-2020/04/01','1-1589-2022/01/03','1-1590-2020/04/16','1-1591-2020/07/01','1-1591-2020/11/03','1-1591-2021/09/01','1-1591-2022/03/01','1-1593-2020/04/01','1-1593-2020/12/21','1-1624-2020/11/03','1-1639-2020/10/01',
--'1-1663-2021/10/04','1-1684-2020/11/04','1-1698-2021/01/04','1-1700-2020/12/01','1-1701-2022/04/07','1-1702-2020/10/01','1-1702-2020/12/21','1-1708-2020/09/01','1-1709-2021/09/01','1-1721-2021/10/04','1-1749-2020/04/06','1-1775-2019/12/26','1-1777-2019/12/26','1-1782-2021/12/23','1-1838-2020/12/01',
--'1-1866-2022/02/01','1-1867-2021/05/03','1-1867-2021/12/23','1-1910-2022/05/02','1-1944-2020/04/06','1-1944-2020/04/27','1-1989-2021/06/07','1-2030-2021/10/04','1-2032-2021/11/03','1-2053-2021/08/02','1-2090-2022/06/02','1-2095-2021/09/01','1-2097-2021/09/01','1-2099-2021/10/04',
--'1-2161-2021/12/01','1-2219-2022/03/01','1-2242-2022/02/01','1-2252-2022/02/01','1-2261-2022/02/01','1-2267-2022/05/02','2-22-2021/02/18','2-22-2021/12/01','2-47-2019/09/02','2-52-2018/11/05','2-59-2021/02/22','2-59-2021/12/01','2-89-2022/03/01','2-112-2022/04/04','2-152-2020/11/03',
--'2-152-2021/10/04','2-159-2018/12/03','2-168-2019/09/02','2-168-2020/04/01','2-168-2021/06/07','2-168-2022/06/01','2-175-2022/05/02','2-177-2018/04/09','2-183-2021/06/28','2-194-2022/04/04','2-243-2020/08/03','2-243-2021/09/01','2-248-2021/08/02','2-262-2020/10/05','2-262-2021/08/02',
--'2-265-2022/01/03','2-325-2021/09/01','2-337-2022/05/02','2-352-2020/05/04','2-425-2021/12/01','2-453-2020/04/13','12-46-2018/10/01','2-461-2022/03/01','12-51-2018/01/02','2-514-2021/02/01','3-30-2018/10/01','3-30-2019/10/01','3-103-2020/04/01','3-106-2020/12/16','3-106-2020/12/21','3-106-2021/06/14',
--'3-126-2020/11/03','3-127-2020/04/06','3-128-2020/04/01','3-130-2020/04/01','3-135-2020/10/01','3-137-2020/04/22','3-142-2020/04/13','3-168-2020/04/01','3-169-2020/04/01','3-170-2020/04/13','3-171-2020/04/13','3-172-2020/04/13','3-173-2020/11/09','3-179-2020/04/06','3-181-2020/11/03','3-182-2020/11/03',
--'3-198-2020/04/06','3-199-2020/04/13','3-200-2020/04/13','3-201-2020/04/13','3-204-2020/04/06','3-205-2020/04/06','3-224-2020/04/06','3-228-2020/04/13','3-231-2020/04/13','3-237-2020/04/06','3-238-2020/04/06','3-242-2020/04/06','3-257-2020/11/03','3-257-2020/11/11','3-257-2021/10/20',
--'3-267-2020/04/06','3-268-2020/04/13','3-290-2020/04/06','3-291-2020/04/13','3-292-2020/04/06','3-293-2020/04/06','3-294-2020/04/06','3-295-2020/04/06','3-299-2020/04/06','3-300-2020/04/06','3-308-2020/04/13','3-309-2020/04/13','3-344-2020/11/03','3-448-2018/01/02','3-448-2019/01/02',
--'3-448-2022/03/01','3-493-2018/03/01','13-50-2018/07/02','13-50-2019/12/02','3-505-2018/01/02','3-505-2019/01/02','3-551-2018/12/03','3-559-2017/10/02','3-559-2018/11/05','13-58-2018/10/01','3-594-2018/01/02','3-594-2019/01/02','3-622-2018/09/03','3-622-2019/02/04','5-10-2020/05/04',
--'5-10-2021/07/01','5-10-2022/04/04','15-4-2018/09/03','7-2-2021/07/01','7-5-2021/12/01','12-102-2018/07/03','13-40-2019/07/01','13-114-2019/04/01','13-114-2019/12/26','13-146-2019/03/06','13-201-2019/11/04','13-201-2019/12/26','13-208-2019/11/07','13-208-2019/12/26','14-88-2018/07/02',
--'18-20-2018/07/02','18-22-2019/03/06'
--)
and INSTR(trim(FER.RH_DFERIAS),',')>0
ORDER BY
   2,1,6,3
   ;
   

	
/