SELECT --DISTINCT 
	--CAR.ESTCAR,
	DPC.CODCAR_LG  AS "1 Cdigo",	
	--car.codcar  AS "1 Cdigo",
	/* -------------------------------------------------------------------------------------- */
	RTRIM(DPC.TITCAR_LG) AS "2 Descrio",		-- 2    Descrio                               
	/* -------------------------------------------------------------------------------------- */	 
	'1' AS "3 Tipo de salrio",             -- 3    Tipo de salrio                         
	/* -------------------------------------------------------------------------------------- */
	'1900/01/01' AS "4 Data incio",        -- 4    Data incio                             
	/* -------------------------------------------------------------------------------------- */
	'' AS "5 Data fim",						-- 5    Data fim                                
	/* -------------------------------------------------------------------------------------- */
	'0' AS "6 Status",						-- 6    Status 
	/* -------------------------------------------------------------------------------------- */
	'' AS "7 Pontos",						-- 7    Pontos                                  
	/* -------------------------------------------------------------------------------------- */
	'S' AS "8 Efetivo",						-- 8    Efetivo                                 
	/* -------------------------------------------------------------------------------------- */
	'' AS "9 Comissionado",                 -- 9    Comissionado                            
	/* -------------------------------------------------------------------------------------- */
	'S' AS "10 Autnomo",                   -- 10   Autnomo                                
	/* -------------------------------------------------------------------------------------- */
	'' AS "11 Cdigo (Nvel Hierrquico)",                    -- 11   Cdigo (Nvel Hierrquico)              
	/* -------------------------------------------------------------------------------------- */
	CASE
		WHEN DPC.CBO IS NULL THEN ''
		ELSE REPLACE(RTRIM(DPC.CBO), '-', '')
	END AS "12 Cdigo (CBO)",								-- 12   Cdigo (CBO)                            
	 --RIGHT('000000' + CONVERT(VARCHAR, codcb2), 6)  AS "12 Cdigo (CBO)",								-- 12   Cdigo (CBO)                            
	/* -------------------------------------------------------------------------------------- */
	'' AS "13 Cdigo ",											-- 13   Cdigo (Sindicato)                      
	'' AS "14 Descrio ",						-- 14   Descrio resumida (Perfil > Dad...[01] 
	'' AS "15 Descrio ",						-- 15   Descrio detalhada (Perfil > Da...[02] 
	'' AS "16 Grau de ",						-- 16   Grau de instruo (Perfil > Dado...[03] 
	'' AS "17 Observa",						-- 17   Observaes sobre a escolaridade...[04] 
	'' AS "18 Experinci",						-- 18   Experincia necessria (Perfil >...[05] 
	'' AS "19 Observa",						-- 19   Observaes sobre a experincia ...[06] 
	'' AS "20 Utiliza ",										-- 20   Utiliza tabela salarial                 
	'' AS "21 Permitir c",						-- 21   Permitir colaboradores com faixa...[07] 
	'' AS "22 Utiliza n",						-- 22   Utiliza nvel salarial (salrio ...[08] 
	'' AS "23 Classe",														-- 23   Classe                                  
	'' AS "24 Permitir c",						-- 24   Permitir colaboradores com salr...[09] 
	/* -------------------------------------------------------------------------------------- */
	'S' AS "25 Permitir ",							-- 25   Permitir Cadastro de Colaboradores      
	/* -------------------------------------------------------------------------------------- */
	'' AS "26 Cdigo (Grupo",									-- 26   Cdigo (Grupo de Cargos)                
	'0' AS "27 Tipo de enquadramento",										-- 27   Tipo de enquadramento                   
	'' AS "28 Utiliza ",						-- 28   Utiliza informaes para cargos ...[10] 
	'' AS "29 Cdigo de ",						-- 29   Cdigo de acumulao de cargos (...[11] 
	'' AS "30 Contagem ",						-- 30   Contagem Especial (Informaes p...[12] 
	'' AS "31 Dedicao",						-- 31   Dedicao Exclusiva (Informaes...[13] 
	'' AS "32 Nmero ",						-- 32   Nmero da Lei (Informaes para ...[14] 
	'' AS "33 Data da ",						-- 33   Data da Lei (Informaes para ca...[15] 
	'' AS "34 Situao ge"	,					-- 34   Situao gerada (Informaes par...[16] 
	'N' as "35" ,   -- 35   Participa do clculo da cota de ...[17]
    'N' as "36"     -- 36   Comissionista                          
	--,(select count(fun.codcar) from R034FUN fun where fun.ESTCAR = car.estcar and FUN.CODCAR=car.codcar) as "USOS EM COLAB"
	--,(select count(HCA.codcar) from R038HCA HCA where HCA.ESTCAR = car.estcar and HCA.CODCAR=car.codcar) as "USOS EM HIST CARGOS"
	--,(select count(fun.codcar) from R034FUN fun where fun.ESTCAR = car.estcar and FUN.CODCAR=car.codcar) + 	(select count(HCA.codcar) from R038HCA HCA where HCA.ESTCAR = car.estcar and HCA.CODCAR=car.codcar) as "USO TOTAL"
FROM
	R024CAR car
	
  LEFT JOIN LG_DEPARA_CARGOS dpc ON
  car.ESTCAR=1  --dpc.ESTCAR /*EXISTE APENAS ESTRUTURA 1 ENTO NO PRECISA COMPARAR COM O DEPARA*/
  AND Car.CODCAR=DPC.CODCAR
ORDER BY 2;

--SELECT * FROM LG_DEPARA_CARGOS;

/* Cadastro de Cargos - Que so utilizados por pelo menos 1 colaborador */
/*	SELECT 
	F.CODCAR AS 'CARDO_COLAB',
	C.codcar AS '1CODIGO',
	C.titcar AS '2DESCRICAO',
	C.codcb2 AS '3CODCBO'	
	FROM R034FUN F LEFT JOIN R024CAR C ON F.codCAR=C.codCAR  WHERE F.codcar='000000000'
	   	  	*/
	