/*
    Tabela de LG_DEPARA_MATRICULA que servir de DEPARA para colaboradores elegiveis de
    acordo com o tempo de migrao para histricos presente no escopo de migrao de dados 
    
	Tabelas: TB_AUX_FUNCIONARIOS_MIGRADOS

    
	DROP TABLE LG_DEPARA_MATRICULA
    SELECT * FROM LG_DEPARA_MATRICULA
*/
select	numemp,
		tipcol,
		numcad,
		datadm_txt,
		numcpf,
		nomfun,
		CAST(numemp AS VARCHAR)+'_'+CAST(tipcol AS VARCHAR) + '_'+CAST(numcad AS VARCHAR) as MAT_DE,
		CASE TIPCOL
				WHEN 1 THEN ROW_NUMBER() OVER (PARTITION BY numemp ORDER BY tipcol,numemp,datadm_txt) 
				WHEN 2 THEN CASE numemp	
								WHEN 1 THEN 602000 + ROW_NUMBER() OVER (PARTITION BY tipcol ORDER BY tipcol,numemp,datadm_txt) 
								WHEN 2 THEN 602020 + ROW_NUMBER() OVER (PARTITION BY tipcol ORDER BY tipcol,numemp,datadm_txt) 
							END
		END as MAT_PARA
INTO LG_DEPARA_MATRICULA 		

from TB_AUX_FUNCIONARIOS_MIGRADOS
order by 2,1,4