   USE [ORIGEM_GHC_SENIOR_SJRP_27_01_2023_GOLIVE]

--------------------------------------------------------------------------------------------------------------------------------------------------------------
--GERA DEPENDENTES ELEGIVEIS PARA COLABORADORES ATIVOS NA TABELA TB_AUX_DEPENDENTES_ATIVOS
--TODOS OS DEPENDNETES SO GERADOS INATIVOS PARA IRRF E SALFAM
--------------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT 
   --FUN.NUMCAD,
   '00100'    AS "0001 Cdigo dreiniciao leiaute",
   
   ''         AS "0002 Pessoa ID - colaborador",
   
   CASE WHEN fun.numemp = '0517' THEN 250		 
	    ELSE '' 
   END AS "0003 Empresa do contrato",
   
   dbo.fnc_depara(CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR), 'MATRICULA',  'HC-CASCAVEL')  AS "0004 Matrcula do colaborador",   
   
   CAST(dep.CODDEP AS numeric) AS "0005 Sequencial nico que representa o Dependente",
   
   CASE WHEN dep.NUMCPF <> '000.000.000-00'  THEN  RIGHT('00000000000' + CONVERT(VARCHAR, REPLACE(REPLACE(dep.NUMCPF,'.',''),'-','')), 11) ELSE '' END AS "0006 CPF",
                       
   ''         AS "0007 Pessoa ID - Dependente",
      CASE
      WHEN (CONVERT(VARCHAR,REPLACE(convert(date,case when DEP.DATNAS='00/00/0000' then '' else DEP.DATNAS end,103), '-', ''))) < 
		   (CONVERT(VARCHAR,REPLACE(CONVERT(DATE,fun.DATADM, 103), '-', '')))
      THEN REPLACE(CONVERT(VARCHAR(10), fun.DATADM, 103), '/', '')
      ELSE REPLACE(CONVERT(VARCHAR(10), DEP.DATNAS, 103), '/', '')
   END        AS "0008 Data de ativao do Dependente",
   ''         AS "0009 Data fim de ativao do",
   ''         AS "0010 Motivo da inativao do dependente",
   dep.NOMDEP AS "0011 Nome",
REPLACE(CONVERT(VARCHAR(10), convert(date,case when DEP.DATNAS='00/00/0000' then '' else DEP.DATNAS end,103), 103), '/', '') AS "0012 Data de nascimento",
   dep.TIPSEX AS "0013 Sexo",
   case dep.grapar 
      when 3 then dbo.fnc_depara(convert(varchar, CAST(dep.[GRAPAR] AS NUMERIC)) + dep.TIPSEX , 'PARENTESCO','ISL')
	  else  dbo.fnc_depara(CAST(dep.[GRAPAR] AS NUMERIC), 'PARENTESCO','ISL')
   end AS "0014 Parentesco",
   ''         AS "0015 Relao de dependncia",
   dbo.fnc_depara(dep.GraIns, 'GRAUINST', 'ISL') AS "0016 Grau de instruo",
   dbo.fnc_depara(dep.ESTCIV, 'ESTCIVIL'   , 'ISL') AS "0017 Estado civil",
   ''         AS "0018 Data do casamento", 
   ''         AS "0019 Unio estvel", 
   ''         AS "0020 Data da unio estvel",
   '2'	      AS "0021 Tipo da filiao 1",
   CASE WHEN LEN(dep.NomMae) > 1  then dep.nommae else 'NAO INFORMADO' end AS "0022 Nome da filiao 1",
   '' AS "0023 Tipo da filiao 2", 
   '' AS "0024 Nome da filiao 2",
   '' AS "0025 Responsvel legal considerado na emisso de relatrios oficiais", 
   '' AS "0026 Incluir no arquivo Susep",  
   isnull(dep.NumCid, '') AS "0027 Nmero da Identidade",
   --   isnull(dep.EmiCid, getdate())
   case when isnull(dep.NumCid, '') = '' then '' else 'SSP' end AS "0028 rgo emissor da Identidade",   
   case when isnull(dep.NumCid, '') = '' then '' 
		else CASE WHEN YEAR(convert(date,case when dep.DexCid='00/00/0000' then '' else dep.DexCid end,103)) = 1900 OR dep.DexCid IS NULL THEN '' ELSE REPLACE(CONVERT(VARCHAR(10), convert(date,case when dep.DexCid='00/00/0000' then NULL else dep.DexCid end,103), 103), '/', '') 
   END END AS "0029 Data da emisso da Identidade",                 
   
   CASE WHEN isnull(dep.NumCid, '') = '' THEN ''
   ELSE REPLACE(dbo.fnc_depara(isnull(dep.EstCid, 'SP'), 'UF','ISL'),'  - DePara No Encontrado','17')
   END AS "0030 Estado da Identidade",                    -- 0030 Estado da Identidade
   '' AS "0031 Nmero do RIC",                    -- 0031 Nmero do RIC
   '' AS "0032 Srie do RIC",                    -- 0032 Srie do RIC
   '' AS "0033 Data de emisso do RIC",                    -- 0033 Data de emisso do RIC
   '' AS "0034 Data de validade do RIC",                    -- 0034 Data de validade do RIC
   '' AS "0035 rgo emissor do RIC",                    -- 0035 rgo emissor do RIC
   '' AS "0036 Estado do RIC",                    -- 0036 Estado do RIC
   '' AS "0037 Nmero do CNS",                    -- 0037 Nmero do CNS
   '' AS "0038 Via do CNS",                    -- 0038 Via do CNS
	case when MatNas <> '' then '1' else '' end AS "0039 Tipo da Certido",                    -- 0039 Tipo da Certido
	ISNULL(MatNas,'') AS "0040 Matrcula da Certido",                    -- 0040 Matrcula da Certido
	ISNULL(NumCer,'') AS "0041 Nmero da Certido",                    -- 0041 Nmero da Certido
	'' AS "0042 Livro da Certido",                    -- 0042 Livro da Certido
	'' AS "0043 Folha da Certido",                    -- 0043 Folha da Certido
	'' AS "0044 Cartrio da Certido",                    -- 0044 Cartrio da Certido
	'' AS "0045 Estado da Certido",                    -- 0045 Estado da Certido
	'' AS "0046 Municpio da Certido",                    -- 0046 Municpio da Certido
	'' AS "0047 Data de emisso da Certido",                    -- 0047 Data de emisso da Certido
	'' AS "0048 Nmero da DNV da Certido",                    -- 0048 Nmero da DNV da Certido
	'' AS "0049 Data de entrega da certido",
--	CASE WHEN YEAR(ENTCER) > 1900 THEN REPLACE(CONVERT(VARCHAR(10), ENTCER, 103), '/', '') ELSE '' END AS "0049 Data de entrega da certido",                    -- 0049 Data de entrega da certido
	'' AS "0050 Data da ltima vacinao",                    -- 0050 Data da ltima vacinao
	'' AS "0051 Data de vencimento da Carteira de Vacinao",                    -- 0051 Data de vencimento da Carteira de Vacinao
	'' AS "0052 Data da entrega da Carteira de Vacinao",                    -- 0052 Data da entrega da Carteira de Vacinao
	'' AS "0053 Instituio Escolar",                    -- 0053 Instituio Escolar
	'' AS "0054 Srie/Ano Escolar",                    -- 0054 Srie/Ano Escolar
	'' AS "0055 Data da entrega da Frequncia Escolar",                    -- 0055 Data da entrega da Frequncia Escolar
	'' AS "0056 Data de vencimento da Frequncia Escolar",                    -- 0056 Data de vencimento da Frequncia Escolar
	'' AS "0057 Data de ativao do IRRF",

/*    CASE WHEN dep.limirf >= 21 THEN  
         CASE
            WHEN (CONVERT(VARCHAR,REPLACE(CONVERT(DATE,dep.DATNAS, 103), '-', ''))) < 
		         (CONVERT(VARCHAR,REPLACE(CONVERT(DATE,fun.DATADM, 103), '-', '')))
            THEN REPLACE(CONVERT(VARCHAR(10), fun.DATADM, 103), '/', '')
            ELSE REPLACE(CONVERT(VARCHAR(10), DEP.DATNAS, 103), '/', '')
         END 
   ELSE '' END AS "0057 Data de ativao do IRRF",                    -- 0057 Data de ativao do IRRF*/     
   '' AS "0058 Data fim de ativao do IRRF",                    -- 0058 Data fim de ativao do IRRF
 ''	AS "0059 Data de ativao do Salrio-famlia",                    -- 0059 Data de ativao do Salrio-famlia*/
   '' AS "0060 Data fim de ativao do Salrio-famlia",                    -- 0060 Data fim de ativao do Salrio-famlia
   'N' AS "0061 Permanente",                    -- 0061 Permanente
   '' AS "0062 CEP do endereo",                    -- 0062 CEP do endereo
	'' AS "0063 Tipo do logradouro",                    -- 0063 Tipo do logradouro
	'' AS "0064 Logradouro",                    -- 0064 Logradouro
	'' AS "0065 Nmero",                    -- 0065 Nmero
	'' AS "0066 Complemento",                    -- 0066 Complemento
	'' AS "0067 Bairro",                    -- 0067 Bairro
	'' AS "0068 Estado",                    -- 0068 Estado
	'' AS "0069 Municpio",                    -- 0069 Municpio
	'' AS "0070 Caixa postal",                    -- 0070 Caixa postal
	'' AS "0071 CEP da caixa postal",                    -- 0071 CEP da caixa postal
	'' AS "0072 Cdigo do Dependente" ,                   -- 0072 Cdigo do Dependente,
	'' as "0073 genro",
	'' as "0074",
	'' as "0075",
	'' as "0076",
    
	CASE WHEN DEP.GRAPAR = 03 THEN
			CASE 
					WHEN dep.limirf = 0 OR dep.limirf = '' then 'N'
					WHEN DEP.DATNAS IN ('01/01/1900','00/00/0000')  then 'N'
					WHEN DATEDIFF(YEAR,CONVERT(DATE,DEP.DATNAS, 103),GETDATE()) > dep.limirf THEN 'N'
					WHEN DATEDIFF(YEAR,CONVERT(DATE,DEP.DATNAS, 103),GETDATE()) <= dep.limirf THEN 
					CASE WHEN dep.limirf >= 21 THEN  
							CASE
								WHEN (CONVERT(VARCHAR,REPLACE(CONVERT(DATE,dep.DATNAS, 103), '-', ''))) < 
									 (CONVERT(VARCHAR,REPLACE(CONVERT(DATE,fun.DATADM, 103), '-', '')))
								THEN 'S'
								ELSE 'S'
							 END 
						 ELSE 'N' 
					END 
					ELSE 'N' 
				END 
			ELSE 'S' 
	END AS "Elegivel"	
		,dep.[GRAPAR]
		,CASE WHEN  dep.DATNAS ='00/00/0000' THEN '' ELSE dep.DATNAS END AS "NASCIMENTO"
		, fun.DATADM AS "ADMISSAO"
		,dep.limirf
	--INTO TB_AUX_DEPENDENTES_ATIVOS
	--drop table TB_AUX_DEPENDENTES_ATIVOS
FROM 
   R036DEP DEP
   INNER JOIN R034FUN FUN ON 
      DEP.NUMEMP = FUN.NUMEMP AND
	  DEP.TIPCOL = FUN.TIPCOL AND
	  DEP.NUMCAD = FUN.NUMCAD
   --LEFT JOIN R036IRF IR ON
    --  IR.NUMEMP = DEP.NUMEMP AND
    --  IR.TIPCOL = DEP.TIPCOL AND
	--  IR.NUMCAD = DEP.NUMCAD and
	--  ir.coddep = dep.coddep
 INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG
   ON FUN.numemp=MIG.NUMEMP AND FUN.TIPCOL=MIG.TIPCOL AND FUN.numCAD=MIG.NUMCAD

WHERE
   fun.tipcol = 1 and
  -- (
   fun.sitafa <> 7
  -- or    (fun.sitafa = 7 and fun.datafa >= '01/01/2017')) --Demitido
	AND fun.cateso <> 701
	and MIG.datdem_txt =''
	--and fun.numcad in (725)
	--AND dbo.fnc_depara( DEP.NUMCAD, 'MATRICULA', 'ISL') NOT LIKE ('%DePara No Encontrado') 
	--AND dbo.fnc_depara( DEP.NUMCAD, 'MATRICULA', 'ISL') > 6183
	--AND FUN.NUMCAD IN (34002673,34002671,34002675,34002674,34002672)

order by 3, CONVERT(BIGINT, fun.numcad) desc , 5


--------------------------------------------------------------------------------------------------------------------------------------------------------------
--EXTRAI DEPENDENTES ELEGIVEIS PARA COLABORADORES ATIVOS DA TABELA TB_AUX_DEPENDENTES_ATIVOS PARA IMPORTAR
--------------------------------------------------------------------------------------------------------------------------------------------------------------
/*
Select * 
from TB_AUX_DEPENDENTES_ATIVOS 
where Elegivel <> 'N' 
order by 3, CONVERT(BIGINT, [0004 Matrcula do colaborador]) desc , 5
*/


--------------------------------------------------------------------------------------------------------------------------------------------------------------
--ATIVA DEPENDENTES PARA IRRF - NECESSRIO EXTRAIR TRILHA DE DEPENDENTES E IMPORTAR NA BASE COMO TB_AUX_RELACAO_DEPENDENTES
--------------------------------------------------------------------------------------------------------------------------------------------------------------

SELECT DISTINCT
		'88888' AS "cod leiaute",		
		'01011900' as "data_ini",
		'01012050' as "data_fim",
		'101.3' AS "01 CDIGO DO LEIAUTE",
		'' AS "02 PESSOA ID - COLABORADOR",
		TBD.[CD_EMPRESA]  AS "03 - EMPRESA DO CONTRATO",
		TBD.[MATRCULA_FUNCIONRIO] AS "04 - MATRCULA DO COLABORADOR",
		TBD.[CD_DEPENDENTE] AS "05 - CDIGO DO DEPENDENTE", 		
		'10' AS "06 - ATRIBUTO",	
--lim 0 sai
--01/01/1900 sai
--idade > limirf sai
-- idade <= limirf entra
		CASE 
			WHEN dep.limirf = 0 OR dep.limirf = '' then 'N'
			WHEN data_nascimento = '01/01/1900'  then 'N'
			WHEN DATEDIFF(YEAR,CONVERT(DATE,data_nascimento, 103),GETDATE()) > dep.limirf THEN 'N'
			WHEN DATEDIFF(YEAR,CONVERT(DATE,data_nascimento, 103),GETDATE()) <= dep.limirf THEN 
			CASE WHEN dep.limirf >= 21 THEN  
					CASE
						WHEN (CONVERT(VARCHAR,REPLACE(CONVERT(DATE,dep.DATNAS, 103), '-', ''))) < 
							 (CONVERT(VARCHAR,REPLACE(CONVERT(DATE,fun.DATADM, 103), '-', '')))
						THEN 'S' --REPLACE(CONVERT(VARCHAR(10), fun.DATADM, 103), '/', '')
						ELSE 'S'--REPLACE(CONVERT(VARCHAR(10), DEP.DATNAS, 103), '/', '')
					 END 
				 ELSE 'N' 
			END 
			ELSE 'N' 
		END as "VALOR"   		 	  	  
FROM TB_AUX_RELACAO_DEPENDENTES tbd 
	INNER JOIN R036DEP dep
			on CASE 
					WHEN 
						dep.numemp = 1 THEN '304'
					WHEN 
						dep.numemp = 2 THEN '303'
					ELSE 
						'' 
				END = tbd.[CD_EMPRESA] 
			AND dbo.fnc_depara(CAST(DEP.numemp AS VARCHAR)
			+'_'+CAST(DEP.tipcol AS VARCHAR) 
			+ '_'+CAST(DEP.numcad AS VARCHAR), 'MATRICULA', 'HMC-IMC-SJRP')=TBD.[MATRCULA_FUNCIONRIO]
			AND DEP.NOMDEP=TBD.[NOME_DEPENDENTE]
	INNER JOIN R034FUN FUN ON 
		  DEP.NUMEMP = FUN.NUMEMP AND
		  DEP.TIPCOL = FUN.TIPCOL AND
		  DEP.NUMCAD = FUN.NUMCAD
WHERE --parentesco not in ('Pai','Me')		and
  FUN.TIPCOL = 1 and
   (fun.sitafa <> 7 
   --or (fun.sitafa = 7 and fun.datafa >= '01/01/2017')
   ) --Demitido

--------------------------------------------------------------------------------------------------------------------------------------------------------------
--ATIVA DEPENDENTES PARA SALFAM - NECESSRIO EXTRAIR TRILHA DE DEPENDENTES E IMPORTAR NA BASE COMO TB_AUX_RELACAO_DEPENDENTES
--------------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT DISTINCT
		'88888' AS "cod leiaute",		
		'01011900' as "data_ini",
		'01012050' as "data_fim",
		'101.3' AS "01 CDIGO DO LEIAUTE",
		'' AS "02 PESSOA ID - COLABORADOR",
		TBD.[CD_EMPRESA]  AS "03 - EMPRESA DO CONTRATO",
		TBD.[MATRCULA_FUNCIONRIO] AS "04 - MATRCULA DO COLABORADOR",
		TBD.[CD_DEPENDENTE] AS "05 - CDIGO DO DEPENDENTE", 		
		'11' AS "06 - ATRIBUTO",	
--lim 0 sai
--01/01/1900 sai
--idade > limirf sai
-- idade <= limirf entra
		CASE 
			WHEN dep.limsaf = 0 OR dep.limsaf = '' then 'N'
			WHEN data_nascimento = '01/01/1900'  then 'N'
			WHEN DATEDIFF(YEAR,CONVERT(DATE,data_nascimento, 103),GETDATE()) > dep.limsaf THEN 'N'
			WHEN DATEDIFF(YEAR,CONVERT(DATE,data_nascimento, 103),GETDATE()) <= dep.limsaf THEN 
			CASE WHEN dep.limsaf >= 14 THEN  
					CASE
						WHEN (CONVERT(VARCHAR,REPLACE(CONVERT(DATE,dep.DATNAS, 103), '-', ''))) < 
							 (CONVERT(VARCHAR,REPLACE(CONVERT(DATE,fun.DATADM, 103), '-', '')))
						THEN 'S'--REPLACE(CONVERT(VARCHAR(10), fun.DATADM, 103), '/', '')
						ELSE'S'-- REPLACE(CONVERT(VARCHAR(10), DEP.DATNAS, 103), '/', '')
					 END 
				 ELSE 'N' 
			END 
			ELSE 'N' 
		END as "VALOR"   	
		--,CONVERT(DATE,data_nascimento, 103)
FROM TB_AUX_RELACAO_DEPENDENTES tbd 
	INNER JOIN R036DEP dep
			on CASE 
					WHEN 
						dep.numemp = 1 THEN '304'
					WHEN 
						dep.numemp = 2 THEN '303'
					ELSE 
						'' 
				END = tbd.[CD_EMPRESA] 
			AND dbo.fnc_depara(CAST(DEP.numemp AS VARCHAR)
			+'_'+CAST(DEP.tipcol AS VARCHAR) 
			+ '_'+CAST(DEP.numcad AS VARCHAR), 'MATRICULA', 'HMC-IMC-SJRP')=TBD.[MATRCULA_FUNCIONRIO]
			AND DEP.NOMDEP=TBD.[NOME_DEPENDENTE]
	INNER JOIN R034FUN FUN ON 
		  DEP.NUMEMP = FUN.NUMEMP AND
		  DEP.TIPCOL = FUN.TIPCOL AND
		  DEP.NUMCAD = FUN.NUMCAD
WHERE parentesco in ('Filho (a)')		
 and FUN.TIPCOL = 1 and
   (fun.sitafa <> 7 
   --or (fun.sitafa = 7 and fun.datafa >= '01/01/2017')
   ) --Demitido