USE ORIGEM_GHC_SENIOR_SJRP_27_01_2023_GOLIVE

SELECT DISTINCT
    dbo.fnc_depara( CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR), 'MATRICULA', 'HMC-IMC-SJRP') AS "1 Matrcula (Colaborador)",         
    CASE WHEN fun.numemp = 1 THEN 304
		 WHEN fun.numemp = 2 THEN 303
		 ELSE '' 
	END AS "2 Cdigo da Empresa (Colaborador >...[01]",
	--'999' AS "2 Cdigo da Empresa (Colaborador >...[01]",
	REPLACE(CONVERT(DATE,FER.iniFER,103),'-','/') AS "3 Data da ocorrncia",
	'' AS "4 Data (Publicao)",
	'' AS "5 Situao (Publicao)",
	REPLACE(CONVERT(DATE,FER.iniPER,103),'-','/') AS '6PERIODO_AQUISITIVO',
	isnull(CONVERT(INT,PER.diaafa), CASE WHEN YEAR(fer.FIMFER) = 1900 THEN (FER.diafer) else datediff(day, fer.inifer, fer.fimfer )end ) AS "7 Dias de gozo",	
	REPLACE(CONVERT(DATE,(CASE WHEN YEAR(fer.FIMFER) = 1900 THEN (FER.inifer + FER.diafer) - 1	ELSE REPLACE(CONVERT(DATE,FER.fimfer-1,103),'-','/') END)),'-','/')  AS "8 Data fim",
    REPLACE(CONVERT(DATE,(CASE WHEN YEAR(fer.FIMFER) = 1900 THEN (FER.inifer + FER.diafer)   	ELSE REPLACE(CONVERT(DATE,FER.fimfer,103),'-','/') END)),'-','/')  AS "9 Data Retorno",
	FER.opc13s AS "10 Metade do 13 salrio",
	'' AS "11 Dias a desconsiderar",
	convert(int,FER.diaabo) AS "12 Dias de abono",
	case when isnull(CONVERT(INT,PER.diaafa), datediff(day, fer.inifer, fer.fimfer ) +1) + CONVERT(INT,fer.diaabo) < 30 then 
	   case when isnull(CONVERT(INT,PER.diaafa), CASE WHEN YEAR(fer.FIMFER) = 1900 THEN (FER.diafer) else datediff(day, fer.inifer, fer.fimfer )end ) + CONVERT(int,fer.diaabo) = 30 and (select count(*) from R040FEM parc where parc.numemp = fer.numemp and parc.numcad = fer.numcad and parc.tipcol = fer.tipcol and parc.iniper = fer.iniper) = 1 then 'N'  
	   else 'S'
	   end
   else 'N' end '13 Parcelamento',
   --case when (select count(*) from   R040FEM parc where parc.numemp = fer.numemp and parc.numcad = fer.numcad and parc.tipcol = fer.tipcol and parc.iniper = fer.iniper) = 1 then 'N'  else 'S' end as '13 Parcelamento',
    case when isnull(CONVERT(INT,PER.diaafa), datediff(day, fer.inifer, fer.fimfer ) +1) + CONVERT(INT,fer.diaabo) < 30 then 
	   case when isnull(CONVERT(INT,PER.diaafa), CASE WHEN YEAR(fer.FIMFER) = 1900 THEN (FER.diafer) else datediff(day, fer.inifer, fer.fimfer )end ) + CONVERT(int,fer.diaabo) = 30 and (select count(*) from R040FEM parc where parc.numemp = fer.numemp and parc.numcad = fer.numcad and parc.tipcol = fer.tipcol and parc.iniper = fer.iniper) = 1  then 0  
	   else (select count(*) from R040FEM parc where parc.numemp = fer.numemp and parc.numcad = fer.numcad and parc.tipcol = fer.tipcol and parc.inifer <= fer.inifer and parc.iniper = fer.iniper) 
	   end
   else 0 end as "14 parcela",
   '' AS "15 Faltas injustificadas",
   'S' AS "16 Permitir data de retorno nos fin...[02]",
   'S' AS "17 Permitir data de retorno em feriados",
   REPLACE(CONVERT(DATE,(FER.datpag),103),'-','/') AS "18 Data de pagamento",
   CASE
      WHEN FER.tipfer = 'C' AND (FER.opc13s = 'S' AND FER.diaabo > 0) THEN 11
	  WHEN FER.tipfer = 'C' AND FER.diaabo > 0 THEN 14
	  WHEN FER.tipfer = 'C' AND FER.opc13s = 'S' THEN 12
	  WHEN FER.tipfer = 'C' THEN 13
	  WHEN FER.tipfer = 'N' AND (FER.opc13s = 'S' AND FER.diaabo > 0) THEN 7
	  WHEN FER.tipfer = 'N' AND FER.diaabo > 0 THEN 10
	  WHEN FER.tipfer = 'N' AND FER.opc13s = 'S' THEN 8
	  WHEN FER.TIPFER = 'N' THEN 9 END AS "19 Cdigo (Nova situao)",
   '' AS "20 Observaes",
   2 AS "21 Cdigo (Folha de Pagamento)",
   '' AS "22 Valores calculados",
   CASE WHEN FER.TIPFER = 'C' THEN 1 WHEN FER.TIPFER = 'N' THEN 0 END AS "23 Tipo de frias",
   'N' AS "24 Art. 139 e 140 CLT  Conceder to...[03]",
   '' AS "25 Art. 139 CLT - Quando a diferen...[04]",
   'N' AS "26 Antecipao de frias para cola...[05]", 
   'S' AS "27 Ajustar os perodos aquisitivos ...[06]",
   '' AS "28 Indica se  para gerar ocorrnci...[07]",
   '' AS "29 Data incio da estabilidade",
   '' AS "30 Dias de Licena Remunerada",
   'N' AS "31 Antecipao de frias para colab...[08]"  ,
   '' as '32PA'/*,
   REPLACE(CONVERT(DATE,dateadd(year, 1, FER.iniPER)-1,103),'-','/') as '33DTFINALPERIODO'*/
FROM
   r040fem FER   -- Histrico de Frias
   INNER JOIN r034fun FUN ON 
      FUN.numemp = FER.numemp AND 
	  FUN.numcad = FER.numcad and
	  fun.tipcol = fer.tipcol
   LEFT JOIN r040feg PER  ON 
      FER.numemp = PER.numemp AND 
	  FER.numcad = PER.numcad AND 
	  FER.tipcol = PER.tipcol AND 
	  PER.INIPER = FER.INIPER AND 
	  PER.inifer = FER.INIFER
where 
   FUN.cateso <> 901 and
   fun.numemp in (1,2) and
   fun.tipcol = 1 
  and (fun.sitafa <> 7 or (fun.sitafa = 7 and fun.datafa >= '01/01/2017')) --Demitido
  --AND FER.NUMCAD = 34001530
  --AND dbo.fnc_depara( FER.NUMCAD, 'MATRICULA', 'ISL') NOT LIKE ('%DePara No Encontrado') 
  --AND dbo.fnc_depara( FER.NUMCAD, 'MATRICULA', 'ISL') > 6183
  --AND NOT EXISTS (select 1 from ORIGEM_SIRIO_09_12_2021.r040fem x where x.numemp =fer.numemp and x.numcad= fer.numcad and x.inifer = FER.inifer)

order by
   2,1,3