USE ORIGEM_GHC_SENIOR_SJRP_27_01_2023_GOLIVE
SELECT
   dbo.fnc_depara( CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR), 'MATRICULA', 'HMC-IMC-SJRP') AS '01 Matrcula (Colaborador)', 
   CASE WHEN fun.numemp = 1 THEN 304
		 WHEN fun.numemp = 2 THEN 303
		 ELSE '' 
	END AS '02_CodEmpresa', 
   REPLACE(CONVERT(DATE,rcm.datdem, 103), '-', '/') AS "3 Data da ocorrncia",                               -- 3    Data da ocorrncia                     
   '' AS "4 Data (Publicao)",                                                                              -- 4    Data (Publicao)                      
   '' AS "5 Situao (Publicao)",                                                                          -- 5    Situao (Publicao)                  
   REPLACE(CONVERT(DATE, rcm.datpag, 103), '-', '/') AS "6 Data do pagamento",                               -- 6    Data do pagamento                      
   dbo.fnc_depara(convert(varchar, FUN.tipcon) + convert(varchar, rcm.caudem) + convert(varchar, rcm.avipre), 'RESRAIS','ISL')    AS "7 Tipo da resciso (Rais)",                                                                      -- 7    Tipo da resciso (Rais)                
   case when fun.cateso = 722 THEN ''
   ELSE dbo.fnc_depara(convert(varchar, FUN.tipcon) + convert(varchar, rcm.caudem) + convert(varchar, rcm.avipre), 'RESMOTIVO','ISL') END AS "8 Motivo legal do desligamento (Co...[02]",                                                      -- 8    Motivo legal do desligamento (Co...[02]
    ''  AS "9 Motivo legal do desligamento (Co...[03]",                                                       -- 9    Motivo legal do desligamento (Co...[03]
	'' AS "10 Cdigo (Motivo do desligamento)",                                                              -- 10   Cdigo (Motivo do desligamento)        
	CASE
		WHEN rcm.CODSAQ IN ('', '0', '00') THEN '0'
		ELSE CONVERT(INTEGER, rcm.CODSAQ)
	END	AS "11 Cdigo do Saque",                                                                             -- 11   Cdigo do Saque  

	CASE 
	when CASE WHEN fun.numemp = 1 THEN '304'
		 WHEN fun.numemp = 2 THEN '303'
		 ELSE '' 
		END+'_'+dbo.fnc_depara( CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR), 'MATRICULA', 'HMC-IMC-SJRP') in ('303_291','303_14') then REPLACE(CONVERT(DATE,rcm.datdem, 103), '-', '/')
	
	   WHEN fun.[TIPCON] = 1 THEN
		  CASE WHEN CONVERT(varchar, rcm.datavi, 103) <> '31/12/1900' THEN replace(CONVERT(date, rcm.datavi, 103), '-', '/') ELSE '' END
	   ELSE	''
	END 	AS "12 Incio do aviso prvio" ,                                                                  -- 12   Incio do aviso prvio                 
	isnull(CASE
	   when CASE WHEN fun.numemp = 1 THEN '304'
		 WHEN fun.numemp = 2 THEN '303'
		 ELSE '' 
		END+'_'+dbo.fnc_depara( CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR), 'MATRICULA', 'HMC-IMC-SJRP') in ('303_291','303_14') then REPLACE(CONVERT(DATE,rcm.datdem, 103), '-', '/')
	   WHEN fun.[TIPCON] = 1 AND CONVERT(varchar, rcm.datavi, 103)  NOT IN ('31/12/1900', '')  THEN  replace(CONVERT(date, DTA.datdem, 103), '-', '/')
	   ELSE ''
	END	, '') AS "13 Projeo do Aviso prvio",                    -- 13   Projeo do Aviso prvio               
	'' AS "14 Processo trabalhista",                    -- 14   Processo trabalhista                   
	'' AS "15 Processo judicial com suspenso ...[04]",                    -- 15   Processo judicial com suspenso ...[04]
	isnull(rcm.ateobi, '')  AS "16 Atestado de bito",                    -- 16   Atestado de bito                      
	dbo.fnc_depara(convert(varchar, FUN.tipcon) + convert(varchar, rcm.caudem) + convert(varchar, rcm.avipre), 'RESSITUACAO','ISL')		AS "17 Cdigo (Nova situao)",                    -- 17   Cdigo (Nova situao)                 
	'5'	AS "18 Cdigo (Folha de Pagamento)",                    -- 18   Cdigo (Folha de Pagamento)            
	CASE WHEN rcm.terqui = 2 THEN 'S' ELSE '' END AS "19 Homologao",                    -- 19   Homologao                            
	CASE WHEN rcm.terqui <> 2 THEN 'S' ELSE '' END  AS "20 Quitao",                    -- 20   Quitao                               
	CASE WHEN rcm.terqui = 2 THEN	REPLACE(CONVERT(DATE, rcm.datpag, 103), '-', '/')
	ELSE ''
	END	AS "21 Data da Homologao",                    -- 21   Data da Homologao                    
	'' AS "22 Informaes  Caixa",                    -- 22   Informaes  Caixa                    
	'' AS "23 Colaborador comprovou ter novo e...[05]",                    -- 23   Colaborador comprovou ter novo e...[05]
	'' AS "24 Efetivar a resciso e manter pro...[06]",                    -- 24   Efetivar a resciso e manter pro...[06]
	'' AS "25 Em caso de excluso manter ocorr...[07]",                    -- 25   Em caso de excluso manter ocorr...[07]
	'' AS "26 Transferncia por motivo de suce...[08]",                    -- 26   Transferncia por motivo de suce...[08]
	'' AS "27 Preencher dados do empregador su...[09]",                    -- 27   Preencher dados do empregador su...[09]
	'' AS "28 CNPJ",                    -- 28   CNPJ                                   
	'' AS "29 Razo Social",                    -- 29   Razo Social                           
	'S' AS "30 Efetivar resciso mesmo quando a...[10]",                    -- 30   Efetivar resciso mesmo quando a...[10]
	'N' AS "31 Efetivar a resciso somente se o...[11]",                    -- 31   Efetivar a resciso somente se o...[11]
	'N' AS "32 Impedir alterao do gestor da u...[12]",                    -- 32   Impedir alterao do gestor da u...[12]
	'N' AS "33 Lanar saldo devedor de emprstimos",                    -- 33   Lanar saldo devedor de emprstimos    
	'N' AS "34 Efetivar a resciso caso no exi...[13]",                    -- 34   Efetivar a resciso caso no exi...[13]
	'N' AS "35 Excluso de valores calculados p...[14]",                    -- 35   Excluso de valores calculados p...[14]
	'0' AS "36 Tipo de resciso",                    -- 36   Tipo de resciso                       
	'' AS "37 Quarentena Trabalhista",                    -- 37   Quarentena Trabalhista                 
	'' AS "38 Data fim da quarentena",                    -- 38   Data fim da quarentena                 
	
	CASE WHEN rcm.avipre = 2 then 'S' else 'N'	ENd		AS "39 Aviso prvio indenizado",                    -- 39   Aviso prvio indenizado                
	CASE rcm.avipre when 1 then '0' else '4' end AS "40 Cumprimento do aviso prvio",                    -- 40   Cumprimento do aviso prvio            
	'' AS "41 Crdito Consignado com Garantia de FGTS",                    -- 41   Crdito Consignado com Garantia de FGTS
	'S' AS "42 Mesmo que o colaborador possua o...[15]",                    -- 42   Mesmo que o colaborador possua estabilidade[15]
	'S' AS "43 Mesmo quando a data da resciso ...[16]",                    -- 43   Mesmo quando a data da resciso ...[16]
	'S' AS "44 O colaborador esteja em perodo ...[17]",                    -- 44   O colaborador esteja em perodo ...[17]
	'' AS "45 E estornar ocorrncias programad...[18]",                    -- 45   E estornar ocorrncias programad...[18]
	'' AS "46 Efetivar o estorno da resciso m...[19]",                    -- 46   Efetivar o estorno da resciso m...[19]
	'S' AS "47 E estornar ocorrncias programad...[20]",                    -- 47   E estornar ocorrncias programad...[20]
	'' AS "48 E estornar ocorrncias programad...[21]"                    -- 48   E estornar ocorrncias programad...[21]
from 
   R042RCM rcm
   INNER JOIN R034FUN FUN ON 
      rcm.NUMEMP = FUN.NUMEMP AND
	  rcm.TIPCOL = FUN.TIPCOL AND
	  rcm.NUMCAD = FUN.NUMCAD
   LEFT JOIN R038HVI AVI ON 
      AVI.numemp = RCM.numemp AND
	  AVI.numcad = RCM.numcad AND
	  AVI.tipcol = RCM.tipcol
   LEFT JOIN R042AVI DTA ON 
      DTA.numemp = RCM.numemp AND
	  DTA.numcad = RCM.numcad AND
	  DTA.tipcol = RCM.tipcol
    INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG ON 
		FUN.numemp=MIG.NUMEMP AND 
		FUN.TIPCOL=MIG.TIPCOL AND 
		FUN.numCAD=MIG.NUMCAD
where 
   
   FUN.TIPCOL = 1 
   and fun.numemp in (1,2)
   --AND TIPCON = 1
   AND rcm.datdem >= '01/01/2017'
   --AND dbo.fnc_depara( rcm.NUMCAD, 'MATRICULA', 'ISL') NOT LIKE ('%DePara No Encontrado') 
   --AND dbo.fnc_depara( rcm.NUMCAD, 'MATRICULA', 'ISL') > 6183
   --AND NOT EXISTS (select 1 from ORIGEM_SIRIO_09_12_2021.R042RCM x where x.numemp = rcm.numemp and x.numcad= rcm.numcad and x.datdem = rcm.datdem)
   --AND rcm.NUMCAD IN (34002673,34002671,34002675,34002674,34002672)
ORDER BY
   CONVERT(INT, rcm.numcad) 
/*

select * from r042cau

avipre
1- Trabalhado
2- Indenizado
3- Dispensa


select distinct rcm.avipre, rcm.caudem
from 
   R042RCM rcm
   INNER JOIN R034FUN FUN ON 
      rcm.NUMEMP = FUN.NUMEMP AND
	  rcm.TIPCOL = FUN.TIPCOL AND
	  rcm.NUMCAD = FUN.NUMCAD
   LEFT JOIN R038HVI AVI ON 
      AVI.numemp = RCM.numemp AND
	  AVI.numcad = RCM.numcad AND
	  AVI.tipcol = RCM.tipcol
   LEFT JOIN R042AVI DTA ON 
      DTA.numemp = RCM.numemp AND
	  DTA.numcad = RCM.numcad AND
	  DTA.tipcol = RCM.tipcol
where 
   FUN.TIPCOL = 1 and
   (fun.sitafa <> 7 or
   (fun.sitafa = 7 and fun.datafa >= '01/01/2016')) --Demitido

*/
/*

CASE
		
			WHEN fun.[R034FUN TIPCON] = 1  THEN	'101'		-- Empregado
			WHEN fun.[R034FUN TIPCON] = 2  THEN	'722'		-- Diretor
			WHEN fun.[R034FUN TIPCON] = 5  THEN	'901'		-- Estagirio
			WHEN fun.[R034FUN TIPCON] = 6  THEN	'103'		-- Aprendiz
			WHEN fun.[R034FUN TIPCON] = 7  THEN '101'		-- Prazo Determinado
	
			ELSE
				''
		END




		(SELECT REPLACE([R038HVI CODVIN], ';', '') FROM R038HVI WHERE [R038HVI NUMCAD] = rcm.CADASTRO)
		vinculo
*/
