SELECT DISTINCT * FROM LG_DEPARA_AGENCIA WHERE AGENCIA = 3095



--VIEW DAS AGENCIAS COM DIGITO
CREATE OR REPLACE VIEW  VW_AGENCIA_C_DIGITO AS (
SELECT DISTINCT
             BANCO,
             AGENCIA,
             DV_AGENCIA,
             NOME_AGENCIA,
             NOME_MUNICIPIO, 
             COD_MUNICIPIO,
             UF
   FROM LG_DEPARA_AGENCIA
            WHERE DV_AGENCIA IS NOT NULL 
);

--VIEW DAS AGENCIA COM DIGITO QUE NO EXISTEM NA VIEW DE AG SEM DIGOTO
CREATE OR REPLACE VIEW  VW_AGENCIA_S_DIGITO AS (
SELECT  BANCO,
             AGENCIA,
             DV_AGENCIA,
             NOME_AGENCIA,
             NOME_MUNICIPIO, 
             COD_MUNICIPIO,
             UF
 FROM LG_DEPARA_AGENCIA AG 
            WHERE DV_AGENCIA IS NULL --TRAS S QUEM NO TEM DIGITO E NAO EST NA PRIMEIRA VIEW
            --NO TRAZ AGENCIAS SEM DIGITO QUE J EST NA PRIMEIRA VIEW
           AND NOT EXISTS (SELECT 1 FROM VW_AGENCIA_C_DIGITO VA WHERE TO_CHAR(VA.BANCO || VA.AGENCIA) =
                                                TO_CHAR(AG.BANCO || AG.AGENCIA)) 
);



  
--UNIAO DAS AGENCIAS COM E SEM DIGITO    
CREATE OR REPLACE VIEW VW_LAYOUT_AGENCIA AS (
SELECT DISTINCT * FROM  VW_AGENCIA_C_DIGITO WHERE AGENCIA  = 3095
UNION 
SELECT * FROM  VW_AGENCIA_S_DIGITO 
);

SELECT DISTINCT BANCO, AGENCIA, DV_AGENCIA, TRIM(NOME_AGENCIA), NOME_MUNICIPIO, COD_MUNICIPIO, UF FROM VW_LAYOUT_AGENCIA WHERE BANCO||'-'||AGENCIA IN (
'1-4165',
'1-1001',
'1-1',
'1-2781',
'1-5921',
'1-1867',
'1-3962',
'1-0274',
'1-3411',
'1-2094',
'1-0794',
'1-7141',
'1-7142',
'1-4733',
'237-1106',
'237-0366',
'237-0905',
'237-6905',
'237-2831',
'237-1514',
'237-2178',
'237-0959',
'237-1173',
'237-3095',
'237-0232',
'237-3046',
'237-1046',
'237-0879',
'237-2153'
)




